Page MenuHomePhabricator

[SECP256K1] Use the cmake version from Kitware PPA on Travis
ClosedPublic

Authored by Fabien on Jan 21 2020, 09:26.

Details

Summary

This PPA is well maintained by Kitware, and is often updated to the
latest version. This will allow to bump the version requirement past the
Travis version (currently 3.12).

Note: this fix an issue with list(SORT) that would fail on empty lists
with cmake < 3.13. The minimum version will be bumped in a later diff to
enforce this fix.

Test Plan

Run the Travis build, and check the cmake version in use is the one from
the PPA. See the build on repo (failure will be fixed in another diff):
https://travis-ci.org/Fabcien/secp256k1/builds/639851517

Diff Detail

Repository
rABC Bitcoin ABC
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Fabien created this revision.Jan 21 2020, 09:26
Herald added a reviewer: Restricted Project. · View Herald TranscriptJan 21 2020, 09:26
Fabien planned changes to this revision.Jan 21 2020, 10:00

Missing 32 bit version

Fabien updated this revision to Diff 15707.Jan 21 2020, 12:03

Fix 32 bits build.

deadalnix accepted this revision.Jan 21 2020, 13:57
This revision is now accepted and ready to land.Jan 21 2020, 13:57